Name:          excalibur-configuration
Version:       1.1
Release:       %mkrel 1
Summary:       Excalibur Component Manager
Group:         Development/Java
URL:           http://excalibur.apache.org/
Source0:       http://www.apache.org/dist/excalibur/excalibur-configuration/source/excalibur-configuration-%{version}-src.tar.gz
Source1:       http://mirrors.ibiblio.org/pub/mirrors/maven2/excalibur-configuration/excalibur-configuration/%{version}/excalibur-configuration-%{version}.pom
Source2:       excalibur-configuration-1.1-build.xml
Source3:       maven-common-gump-build.xml
Source4:       excalibur-configuration-1.1-LICENSE.txt
Source5:       excalibur-configuration-1.1-NOTICE.txt
# x excalibur 3 compatibility
Patch0:        excalibur-configuration-1.1-CascadingConfiguration.patch
Patch1:        excalibur-configuration-1.1-no-avalon-test.patch
License:       ASL 2.0
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: avalon-framework
BuildRequires: avalon-logkit
BuildRequires: geronimo-javamail-1_4-api
BuildRequires: geronimo-jms
BuildRequires: java-devel
BuildRequires: junit4
BuildRequires: isorelax
BuildRequires: jpackage-utils
BuildRequires: liblog4j-java
BuildRequires: msv-msv
BuildRequires: msv-xsdlib
BuildRequires: relaxngDatatype
BuildRequires: saxon
BuildRequires: saxon-scripts
BuildRequires: tomcat5-servlet-2.4-api
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
Requires:      avalon-framework
Requires:      avalon-logkit
Requires:      isorelax
Requires:      msv-msv
Requires:      msv-xsdlib
Requires:      relaxngDatatype
Requires:      xerces-j2
Requires:      xml-commons-apis
Requires:      jpackage-utils
BuildArch:     noarch

%description
This project contains utilities for managing components. 
ECM is what we call an "avalon container", though it is 
somewhat different in architecture to newer developments 
like Phoenix and Fortress. Our intend is to someday 
completely replace ECM with Fortress. In particular, 
this package contains the ExcaliburComponentManager, 
usually abbreviated to ECM.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for Excalibur Component Manager

%description javadoc
Excalibur Component Manager

This package contains javadoc for Excalibur Component Manager.

%prep

%setup -q -n excalibur-configuration-%{version}
cp %{SOURCE3} .
cp %{SOURCE4} LICENSE.txt
cp %{SOURCE5} NOTICE.txt
%patch0 -p0
%patch1 -p0

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done

%build

export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath avalon-framework-api avalon-framework-impl avalon-logkit servletapi5 ant)
CLASSPATH=$CLASSPATH:$(build-classpath isorelax relaxngDatatype  msv-msv msv-xsdlib)
CLASSPATH=$CLASSPATH:$(build-classpath geronimo-javamail-1.4-api geronimo-jms log4j)
CLASSPATH=$CLASSPATH:$(build-classpath xerces-j2 junit4 xml-commons-apis ant/ant-junit)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant \
  -Davalon.buildsystem=$PWD \
  -Dbuild.sysclasspath=only \
  -Dproject.version=%{version} \
  -Dproject.name=%{name} \
  jar javadocs

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/excalibur-configuration-%{version}.jar \
  %{buildroot}%{_javadir}

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-excalibur-configuration.pom
%add_to_maven_depmap excalibur-configuration excalibur-configuration %{version} JPP excalibur-configuration

mkdir -p %{buildroot}%{_javadocdir}/excalibur-configuration-%{version}
cp -pr target/docs/apidocs/* %{buildroot}%{_javadocdir}/excalibur-configuration-%{version}
ln -s excalibur-configuration-%{version} %{buildroot}%{_javadocdir}/excalibur-configuration

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/excalibur-configuration-%{version}.jar
%{_javadir}/excalibur-configuration.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt README.txt

%files javadoc
%{_javadocdir}/excalibur-configuration-%{version}
%{_javadocdir}/excalibur-configuration



%changelog
* Mon Aug 01 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 131245
- Fix build
- Clean spec file

  + gil <gil>
    - imported package excalibur-configuration


* Sat May 28 2011 gil <gil> 1.1-0.mga1
- initial rpm